Description

Sensitive Data Passed Through URL Parameters

observation : Repeated

CWE : CWE-598

Description :

The web application uses the HTTP GET method to process a request and includes
sensitive information in the query string of that request.

Affected Path(s) :
https://his-healthidservice.satragroup.in/abdm/isAvailable/customHealthld/srinuks.1 *-Applicable to entire
application

Impact :

This allows attackers to obtain sensitive data such as usernames, passwords, tokens
(authX), database details, and any other potentially sensitive data. Simply using HTTPS
does not resolve this vulnerability.

Evidence/Proof Of Concept :

Step 1: ABHA Username Passed Through URL as shown in below screenshot.
clipboard-202405011315-5lepg.png

Step 2: Functionality issue
clipboard-202405011316-jnjpt.png

Recommendation :
When sensitive information is sent, use the POST method (e.g. registration form, login
form, etc.).

History

#1 - 03/05/2024 04:15 AM - Harish Beechani

- Assignee set to Pavan kumar Siddamsetti

#2 - 03/05/2024 04:15 AM - Harish Beechani

- Status changed from New to Resolved

#3 - 03/05/2024 05:23 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#4 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#5 - 10/05/2024 07:19 AM - Harish Beechani
- Status changed from Resolved to Ready for Prod
